Package com.ocient.jdbc.proto

## Interface PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.SystemConfigurationVirtualOperator`, `PlanProtocol.SystemConfigurationVirtualOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`PlanProtocol.securityToken` `getSecurityToken()` The security token of the logged-in user
`PlanProtocol.securityTokenOrBuilder` `getSecurityTokenOrBuilder()` The security token of the logged-in user
`boolean` `hasSecurityToken()` The security token of the logged-in user

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasSecurityToken

    boolean hasSecurityToken()

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

Returns:
  Whether the securityToken field is set.

#### getSecurityToken

    PlanProtocol.securityToken getSecurityToken()

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

Returns:
  The securityToken.

#### getSecurityTokenOrBuilder

    PlanProtocol.securityTokenOrBuilder getSecurityTokenOrBuilder()

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`